GuideLab API

Export selected domains as a re-importable zip bundle

Streams a versioned zip containing the selected configuration domains (data files + binary assets + manifest). Lab owners only.

POST
/data-bundle/export

Streams a versioned zip containing the selected configuration domains (data files + binary assets + manifest). Lab owners only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/zip

curl -X POST "https://example.com/data-bundle/export" \  -H "Content-Type: application/json" \  -d '{    "domains": [      "products"    ]  }'
"string"
Empty
Empty
Empty
Empty